Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security
Class SecurityConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.utils.NestedRuntimeException
                              |
                              +--weblogic.xml.security.SecurityConfigurationException

public class SecurityConfigurationException
extends weblogic.utils.NestedRuntimeException

SecureityConfiguration Exception is used to indicate a problem in the configuration and or deployment of the security in the runtime which prevents execution of the requested operations. Examples might be missing keys or certificates.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SecurityConfigurationException()`
`SecurityConfigurationException(java.lang.String msg)`
`SecurityConfigurationException(java.lang.String msg, java.lang.Throwable nested)`
`SecurityConfigurationException(java.lang.Throwable nested)`

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityConfigurationException

    public SecurityConfigurationException()

### SecurityConfigurationException

    public SecurityConfigurationException(java.lang.String msg)

### SecurityConfigurationException

    public SecurityConfigurationException(java.lang.Throwable nested)

### SecurityConfigurationException

    public SecurityConfigurationException(java.lang.String msg,
                                          java.lang.Throwable nested)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD